From 1f435122b29fdc5a7c3f71f6da0cb28bbb843847 Mon Sep 17 00:00:00 2001
From: Lemures Lemniscati <lemures.lemniscati@gmail.com>
Date: Sat, 22 May 2021 23:25:37 +0900
Subject: [PATCH] gobject-introspection 1.54.1-4

Use python3.8 explicitly

  Shebangs of g-ir-doc-tool and g-ir-scanner are '/usr/bin/env python3.8'
  _giscanner.dll is linked with libpython3.8.dll
---
 gobject-introspection.cygport | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

diff --git a/gobject-introspection.cygport b/gobject-introspection.cygport
index 11af658..8e1ef29 100644
--- a/gobject-introspection.cygport
+++ b/gobject-introspection.cygport
@@ -1,8 +1,8 @@
-inherit gnome2 python2
+inherit gnome2 python3
 
 NAME="gobject-introspection"
 VERSION=1.54.1
-RELEASE=3
+RELEASE=4
 CATEGORY="Libs"
 SUMMARY="GObject Introspection tools"
 DESCRIPTION="The goal of the project is to describe GObject APIs and collect
@@ -16,7 +16,8 @@ PATCH_URI="
 	1.54.1-2-cygwin.patch
 "
 
-CYGCONF_ARGS="--with-python=python2"
+PYTHON3=python3.8
+CYGCONF_ARGS="--with-python=${PYTHON3}"
 
 PKG_NAMES="${NAME} libgirepository1.0_1 libgirepository1.0-devel libgirepository1.0-doc"
 gobject_introspection_CATEGORY="Devel"
@@ -47,14 +48,15 @@ girepository_x11_CONTENTS="--exclude=cairo-1.0.* --exclude=G*-2.0.* usr/*/gir*/"
 
 DIFF_EXCLUDES="config.py *.pc gi.types"
 
-gobject_introspection_REQUIRES="libgirepository1.0-devel python27-mako"
+gobject_introspection_REQUIRES="libgirepository1.0-devel python38-mako"
 
 BUILD_REQUIRES=" \
 	flex \
+	gnome-common \
 	gtk-doc \
 	libcairo-devel \
 	libffi-devel \
 	libglib2.0-devel \
-	python2-devel \
-	python27-mako \
+	python38-devel \
+	python38-mako \
 "
-- 
2.31.1

